Name:           perl-Data-UUID
Version:        1.226
Release:        1%{?org_tag}%{?dist}
Summary:        Perl extension for generating Globally/Universally Unique Identifiers (GUIDs/UUIDs)
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-UUID/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Data-UUID-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%if %{rhel} >= 8
Provides:       perl(Data::UUID) = %{version}
%endif

%description
This module provides a framework for generating v3 UUIDs (Universally
Unique Identifiers, also known as GUIDs (Globally Unique Identifiers). A
UUID is 128 bits long, and is guaranteed to be different from all other
UUIDs/GUIDs generated until 3400 CE.

%prep
%setup -q -n Data-UUID-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Data*
%{_mandir}/man3/*

%changelog
* Thu Jan 13 2022 Gavin Carr <gavin@openfusion.net> 1.226-1
- Update to version 1.226.

* Wed Jul 23 2014 Gavin Carr <gavin@openfusion.com.au> 1.219-1
- Update to version 1.219.

* Tue Feb 15 2011 Gavin Carr <gavin@openfusion.com.au> 1.217-1
- Specfile autogenerated by cpanspec 1.79.
